/*
 * arch/ppc/boot/include/eps.h
 *
 * Common entry point structure definition for
 * treeboot images version 2 or greater.
 */

#if defined(CONFIG_440EPX)
#include <asm-ppc/ppcboot.h>
#endif

/* Defines for entry_point_struct manipulation.  */
#define MAGIC_STRING "brom_ro"
#define MAGIC1 0x62726F6D
#define MAGIC2 0x5f726f00
#define MIN_VERSION 1
#define SIN_VEC_VERSION 2

/* Treeboot entry_point_struct, Brocade version 2.  */
typedef struct {
    unsigned long branchins;
    unsigned long magic1;
    unsigned long magic2;
    unsigned long version;
    char **bootrom_cmdline;
    void *(*sin_rewind_vector)(int state);
    void *(*sin_get_vector)(int *srp, int state);
    void *(*sin_stats_vector)(int sin_table_stats);
    bd_t *(*board_config_vector)(void);
} entry_point_struct;
