/*
 *
 *    Copyright (c) 1996-2006 Brocade Communications Systems, Inc.
 *    All rights reserved.
 *
 *    Description:
 *      Routines for xfs notification handling including registering,
 * 	unregistering and sending.
 *	Notifications are for xfs related events such force_shutdown.
 *
 */

#ifndef _LINUX_XFS_NOTIFIER_H
#define _LINUX_XFS_NOTIFIER_H
#include <linux/notifier.h>

#if defined(CONFIG_SILKWORM)
/* Nothing, just so that I can trace which is Brocade specific file */
#endif

/* Types of notification that can be sent */

/*
 * Sent on xfs_force_shutdown, sends the device  on which this occured
 * in typeinformation, type (dev_t*)
 */
#define NOTIFY_XFS_FORCESHUTDOWN 1

/* Defined in fs/xfs/linux/xfs_notifier.c */
extern int register_xfs_notifier(struct notifier_block *nb);
extern int unregister_xfs_notifier(struct notifier_block *nb);
extern int call_xfs_notifier(unsigned long notificationtype,
	void *typeinformation);

#endif	/* _LINUX_XFS_NOTIFIER_H */
